Page MenuHomePhabricator

Wikipedia.org Portal: request additional translations from translatewiki
Closed, ResolvedPublic

Description

Based off an epic story/multitude of tasks (T136441) to update the Wikipedia.org's portal page sister wiki project names and descriptive text and display them on the portal, we'd like to expand this effort to include additional text.

We are currently updating the following words on the portal with translations that we receive from translatewiki:

  • Wikipedia
  • The free encyclopedia
  • articles
  • sister project names and descriptive text:
    • Commons: Freely usable photos & more
    • Wikibooks: Free textbooks
    • Wikiversity: Free course materials
    • Wikisource: Free library
    • Wikivoyage: Free travel guide
    • Wikinews: Free news source
    • Wikiquote: Free quote compendium
    • Wikispecies: Free species directory
    • Wiktionary: Free dictionary
    • Wikidata: Free knowledge base
    • MediaWiki: Free & open wiki application
    • Meta-Wiki: Community coordination & documentation

We want to expand this to add in additional translated text for the portal:

  • Read Wikipedia in your language
  • Wikipedia is hosted by the Wikimedia Foundation, a non-profit organization that also hosts a range of other projects.
  • Terms of Use
  • Privacy Policy
  • This page is available under the
  • Creative Commons Attribution-ShareAlike License

Event Timeline

debt created this task.Aug 18 2016, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2016, 5:12 PM
debt triaged this task as Normal priority.Aug 18 2016, 5:13 PM
Gnom1 added a subscriber: Gnom1.Aug 19 2016, 7:39 AM
debt moved this task from What's Next to In Progress on the Discovery-Portal-Sprint board.

( adding missing Wikimedia-Portals to Projects/Tags)

gerritbot added a subscriber: gerritbot.

Change 306241 had a related patch set uploaded (by Jdrewniak):
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

Change 306241 abandoned by Jdrewniak:
Small fixes. - T143127 adding focus state to button. (Also preventing focus on hidden items) - T143239 adding meta description to page source - T143244 lang btn now reads "Read Wikipedia in your language" - T143338 adding additional translations to trans

https://gerrit.wikimedia.org/r/306241

Change 310520 had a related patch set uploaded (by Jdrewniak):
T143338 - Adding remaining project translations to translatewiki

https://gerrit.wikimedia.org/r/310520

Change 310520 merged by jenkins-bot:
T143338 - Adding remaining project translations to translatewiki

https://gerrit.wikimedia.org/r/310520

debt closed this task as Resolved.Oct 11 2016, 8:52 PM